#include pdols_rev.prg;
cls;
"______________________________________________________________________";
"         Cointegration Vector Estimation by Panel DOLS and            ";
"                   Long-Run Money Demand                              ";
"                               BY                                     ";
"                Nelson C. Mark  &  Donggyu Sul                        ";
"                                                                      ";
"                                                                      ";
"                                                                      ";
"                                                                      ";
"                                                                      ";
"                                                                      ";
"                                                                      ";
"         Mark: Mark.1@osu.edu      Sul: d.SUL@utdallas.edu            ";
"                     Version: 3.0  Date: Aug 5, 2010.                 ";
"                                                                      ";
"      Revision Note: The previous code has a minor programming error  ";
"      in the QSPW procedure. The truncation was taken too soon.       ";
"      We thank Thomas Doan (Estima) for pointing out this error.      ";
"      The revised one contains the corrected QSPW estimator.          ";
"      The new codes lead to the third digit difference (compared with ";
"      the old codes) in the standard error estimation. The point      ";
"      estimates are not affected by this error.                       ";
"                                                                      ";
"                                                                      ";
"                                                                      ";
"                                                                      ";
"                       PRESS ANY KEY TO CONTINUE                      ";
"                                                                      ";
"______________________________________________________________________";
wait;
cls;
kkk:
"______________________________________________________________________";
"                                                                      ";
"                                                                      ";
"                                                                      ";
"                                                                      ";
"          ESTIMATION FOR COINTEGRATION VECTOR FOR PANEL DATA          ";
"                                                                      ";
"                                                                      ";
"                                                                      ";
"               Choice of The number of Leads and Lags                 ";
"                           Recommendations:                           ";
"                                                                      ";
"                                                                      ";
"                 T less than 30:   p = 1                              ";
"                 T around 50:      p = 2                              ";
"                 T around 100:     p = 3                              ";
"                 T around 200:     p = 4                              ";
"                                                                      ";
"                                                                      ";
"                        Please type your choice                       ";
"______________________________________________________________________";
"                                                                      ";
p = con(1,1);
cls;
"______________________________________________________________________";
"                                                                      ";
"                                                                      ";
"                                                                      ";
"                                                                      ";
"          ESTIMATION FOR COINTEGRATION VECTOR FOR PANEL DATA          ";
"                                                                      ";
"                                                                      ";
"                                                                      ";
"                           Choice of a Model                          ";
"                                                                      ";
"     Model 1: No constant                                             ";
"              y_it = c1 x_it + c2 z_it + u_it                         ";
"                                                                      ";
"     Model 2: With constant(Fixed effect)                             ";
"              y_it = a_i + c1 x_it + c2 z_it + u_it                   ";
"                                                                      ";
"     Model 3: With constant and heterogenous linear trend             ";
"              y_it = a_i + b_i t + c1 x_it + c2 z_it + u_it           ";
"                                                                      ";
"                        Please type your choice                       ";
"______________________________________________________________________";
"                                                                      ";
icase = con(1,1);
cls;
output on;
if ivar == 1; b = pdols1(y,x1,p,icase); endif;
if ivar == 2; b = pdols2(y,x1,x2,p,icase); endif;
if ivar == 3; b = pdols3(y,x1,x2,x3,p,icase); endif;
if ivar == 4; b = pdols4(y,x1,x2,x3,x4,p,icase); endif;
if ivar == 5; b = pdols5(y,x1,x2,x3,x4,x5,p,icase); endif;

output off;

"Do you want to change the number of leads and lags? Yes(1) NO(2)";
kk = con(1,1);
if kk == 1; goto kkk; endif;







